org.apache.tinkerpop.gremlin.structure

## Class GraphWritePerformanceTest.WriteToIO

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.GraphWritePerformanceTest.WriteToIO

- Enclosing class:
    GraphWritePerformanceTest

      public static class GraphWritePerformanceTest.WriteToIO
      extends AbstractGremlinTest

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `TestRule` | `benchmarkRun`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WriteToIO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeGraphML()`
    `void` | `writeGraphSON()`
    `void` | `writeGryo()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### benchmarkRun

          public TestRule benchmarkRun

  - ### Constructor Detail

    - #### WriteToIO

          public WriteToIO()

  - ### Method Detail

    - #### writeGryo

          public void writeGryo()
                         throws Exception

      Throws:
        `Exception`

    - #### writeGraphML

          public void writeGraphML()
                            throws Exception

      Throws:
        `Exception`

    - #### writeGraphSON

          public void writeGraphSON()
                             throws Exception

      Throws:
        `Exception`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.